#include "dragoriginwidget.h"

#include <QPainter>
#include <QDrag>
#include <QMimeData>
#include <QApplication>
#include <QMouseEvent>
#include <QDebug>
#include <QWindow>
#include <QtGui/qpa/qplatformwindow.h>

DragOriginWidget::DragOriginWidget(QWidget * parent) : QWidget(parent)
{

}

void DragOriginWidget::paintEvent(QPaintEvent * event)
{
    Q_UNUSED(event);
    QPainter painter(this);
    painter.setBrush(QColor("#ff67ef"));
    painter.drawRect(this->rect() - QMargins(0, 0, 1, 1));
    painter.drawText(this->rect(), Qt::AlignCenter, "You can drag out from me");
}

void DragOriginWidget::mousePressEvent(QMouseEvent * event)
{
    Q_UNUSED(event);

    QDrag * drag = new QDrag(qApp);
    QMimeData * mimeData = new QMimeData;

    QSharedPointer<QObject> sptr(new QObject());
    sptr->setObjectName("TestSPTR");

    //mimeData->setText("i am a drag thingy");
    mimeData->setProperty("mysptr", QVariant::fromValue(sptr));
    mimeData->setData("mysptr", QByteArray());

    drag->setMimeData(mimeData);

    QPixmap p(50, 50);
    p.fill(Qt::red);

    drag->setPixmap(p);
    drag->setHotSpot(p.rect().center());

    drag->exec();
}
