#include "droptarget.h"

#include <QPainter>
#include <QDropEvent>
#include <QMimeData>
#include <QDebug>

DropTarget::DropTarget(QWidget * parent) : QWidget(parent)
{
    this->setAcceptDrops(true);
}

void DropTarget::paintEvent(QPaintEvent * event)
{
    Q_UNUSED(event);
    QPainter painter(this);
    painter.drawRect(this->rect() - QMargins(0, 0, 1, 1));
    painter.drawText(this->rect(), Qt::AlignCenter, "I am a drop target");
}

void DropTarget::dropEvent(QDropEvent * event)
{
    event->accept();
    event->acceptProposedAction();
    qInfo() << "qwidget dropped: " << event->mimeData()->property("mysptr").value<QObject *>();
}

void DropTarget::dragEnterEvent(QDragEnterEvent * event)
{
    event->acceptProposedAction();
}

void DropTarget::dragMoveEvent(QDragMoveEvent * event)
{
    event->acceptProposedAction();
}
