#include "mainwindow.h"

#include "quickwidget.h"
#include "dragoriginwidget.h"
#include "droptarget.h"
#include "floatingwidgetcontainer.h"

#include <QBoxLayout>
#include <QTimer>

MainWindow::MainWindow(QWidget * parent)
    : QMainWindow(parent)
{
    QBoxLayout * hl = new QHBoxLayout();
    hl->addWidget(new DropTarget(), 1);

    DragOriginWidget * d = new DragOriginWidget();
    QWidget * w = new FloatingWidgetContainer(d);
    w->setLayout(hl);

    QTimer::singleShot(1000, this, [ = ]()
    {
        hl->addWidget(new QuickWidget(), 1);
        d->raise();
    });

    this->setCentralWidget(w);
}

MainWindow::~MainWindow()
{
}
