#include "quickwidget.h"

#include <QDropEvent>
#include <QMimeData>
#include <QDebug>

QuickWidget::QuickWidget(QWidget * parent) : QQuickWidget(parent)
{
    QSurfaceFormat surfaceFormat = this->format();
    surfaceFormat.setSamples(4);
    this->setFormat(surfaceFormat);

    this->setResizeMode(ResizeMode::SizeRootObjectToView);

    this->setSource(QUrl("qrc:/DummyScene.qml"));
}

void QuickWidget::dropEvent(QDropEvent * event)
{
    event->accept();
    event->acceptProposedAction();
    qInfo() << "quickwidget dropped: " << event->mimeData()->property("mysptr").value<QObject *>();
}

void QuickWidget::dragEnterEvent(QDragEnterEvent * event)
{
    event->acceptProposedAction();
}

void QuickWidget::dragMoveEvent(QDragMoveEvent * event)
{
    event->acceptProposedAction();
}
